# Files

A project lesson can contain files. They are added at the top level of a lesson.

Every file can contain a `diff` element that specifies the indexes of the lines that have been added, in relation to a file with the same name in the previous lesson.

## Raw Format

``` xml
<files>
  <file isDefault="true" name="main.swift" rawContent="var x = &quot;1&quot;;&#xA;println(x)">
    <content>
      <text value="var x = &quot;1&quot;;&#xA;println(x)"/>
    </content>
    <diff addedLines="0,2,5" />
  </file>
  <file name="controller.swift" rawContent="" />  
</files>
```

# DiffFiles

A file can contain a result content. This represents the content of the file after a user finishes the lesson.


## Raw Format

``` xml
<files>
  <file isDefault="true" name="main.swift" rawContent="var x = &quot;1&quot;;" rawResultContent="var x = &quot;1&quot;;&#xA;println(x)">
    <content>
      <text value="var x = &quot;1&quot;;"/>
    </content>
    <resultContent>
      <text value="var x = &quot;1&quot;;&#xA;println(x)"/>
    </resultContent>
  </file>
</files>
```
