# Instructions

A project lesson can contain multiple `instruction lists`. They are added at the top level of the lessons xml.
An instruction list contains multiple **single-line** and **markdown** enabled texts.

We want to be able to have different types of instructions. These would visually appear in a different way to the user.

* `"required"` // These instructions are the actual todos that we will check for correctness. e.g. a user has to finish in the code-editor of mimo-web. We will for example show a **checkmark** next to them to indicate the state.
* `"optional"` // These instructions are optional todos. Things that we cannot control and make checks against. e.g. editor configurations a user has to make on its own.

## Raw Format

``` xml
<instructions type="required">
  <instruction rawContent="Do this!">
    <content>
      <text value="Do this!"/>
    </content>
  </instruction>
  <instruction rawContent="Do that!">
    <content>
      <text value="Do that!"/>
    </content>
  </instruction>
</instructions>
```

